Show / Hide Table of Contents

# Class MarketBoardHistory.MarketBoardHistoryListing

This class represents the market board history of a single item from the MarketBoardHistory network packet.

##### Inheritance

System.Object
MarketBoardHistory.MarketBoardHistoryListing

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardHistoryListing

### Properties

| Improve this Doc View Source

#### BuyerName

Gets the buyer's name.

##### Declaration

    public string BuyerName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### CatalogId

Gets the catalog ID.

##### Declaration

    public uint CatalogId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsHq

Gets a value indicating whether the item is HQ.

##### Declaration

    public bool IsHq { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OnMannequin

Gets a value indicating whether the item is on a mannequin.

##### Declaration

    public bool OnMannequin { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PurchaseTime

Gets the time of purchase.

##### Declaration

    public DateTime PurchaseTime { get; }

##### Property Value

Type | Description
--- | ---
System.DateTime |

| Improve this Doc View Source

#### Quantity

Gets the quantity.

##### Declaration

    public uint Quantity { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SalePrice

Gets the sale price.

##### Declaration

    public uint SalePrice { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |